package cn.com.poc.long_document.service;

import cn.com.poc.long_document.model.BizLongTextDialoguesRecordModel;
import cn.com.yict.framemax.core.service.BaseService;
import cn.com.yict.framemax.data.model.PagingInfo;

import java.util.Collection;
import java.util.List;

public interface BizLongTextDialoguesRecordService extends BaseService {

    BizLongTextDialoguesRecordModel get(Long id) throws Exception;
    
    List<BizLongTextDialoguesRecordModel> findByExample(BizLongTextDialoguesRecordModel example,PagingInfo pagingInfo) throws Exception;
    
    void delete(BizLongTextDialoguesRecordModel model) throws Exception;
    
    void deleteById(Long id) throws Exception;
    
    void deleteAll(Collection<Long> ids) throws Exception;
    
    BizLongTextDialoguesRecordModel save(BizLongTextDialoguesRecordModel model) throws Exception;
    
    Collection<BizLongTextDialoguesRecordModel> saveAll(Collection<BizLongTextDialoguesRecordModel> models) throws Exception;
    
}